Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.RenderConfig Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | RenderConfig ()
| Constructor.
def | Set (graphics_objs_count_in_one_step)
| Set value. More...

## Static Public Attributes
| graphics_objs_count_in_one_step = _fsdk.RenderConfig_graphics_objs_count_in_one_step
| The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value. More...

## Detailed Description

This class represents rendering configuration which is a global configuration. This configuration can be retrieved by function FoxitPDFSDKPython2.Library.GetRenderConfig and be set by function FoxitPDFSDKPython2.Library.SetRenderConfig .

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.RenderConfig.Set | ( |  | graphics_objs_count_in_one_step | ) |

Set value.

Parameters

  [in] | graphics_objs_count_in_one_step | The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value.

@ return None.

## Member Data Documentation

## ◆ graphics_objs_count_in_one_step

FoxitPDFSDKPython2.RenderConfig.graphics_objs_count_in_one_step = _fsdk.RenderConfig_graphics_objs_count_in_one_step
| static

The count of graphics objects to be rendered in one step during progressive rendering process. This should be a positive value.

In Foxit PDF SDK, rendering process can be progressive – that means the rendering process will be separated into many steps and during each step a certain count of graphics objects will be rendered. When one step is finished, Foxit PDF SDK will check and ask user whether current process needs to be paused or not (if a is used for the process of FoxitPDFSDKPython2.Renderer.StartRender ). This certain count is just used as a suggestion for Foxit PDF SDK to decide when to check during progressive rendering process, but cannot fully control the number of steps in a progressive rendering process. For example, when a form XObject or a shading object is to be rendered, Foxit PDF SDK will ask user whether current process needs to be paused or not, without considering this count.